Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 915902 (qt5-qtscript) - Review Request: qt5-qtscript - Qt5 - QtScript component
Summary: Review Request: qt5-qtscript - Qt5 - QtScript component
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtscript
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: qt5-qtbase, qt5-qtbase-review
Blocks: kde-reviews qt-reviews qt5-qtquick1
TreeView+ depends on / blocked
 
Reported: 2013-02-26 18:32 UTC by Rex Dieter
Modified: 2013-10-08 17:45 UTC (History)
3 users (show)

Fixed In Version: qt5-qtscript-5.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-03 13:33:15 UTC
admiller: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2013-02-26 18:32:17 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtscript.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtscript-5.0.1-1.fc18.src.rpm
Description: Qt5 - QtScript component
Fedora Account System Username: rdieter

Comment 2 Adam Miller 2013-08-27 15:44:41 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "Unknown or generated", "BSD (2 clause) MIT/X11
     (BSD like)", "MPL (v1.1,) GPL (unversioned/unknown version) LGPL (v2.1 or
     later)", "BSD (3 clause)", "BSD (2 clause)", "MPL (v1.1,) BSD (3 clause)
     GPL (unversioned/unknown version) LGPL (v2.1 or later)", "MPL (v1.1) GPL
     (unversioned/unknown version)", "GPL (v3 or later)". 280 files have
     unknown license. Detailed output of licensecheck in
     /home/admiller/reviews/915902-qt5-qtscript/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: qt5-qtscript-5.0.2-1.fc19.x86_64.rpm
          qt5-qtscript-devel-5.0.2-1.fc19.x86_64.rpm
qt5-qtscript.x86_64: W: no-documentation
qt5-qtscript-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint qt5-qtscript-devel qt5-qtscript
qt5-qtscript-devel.x86_64: W: no-documentation
qt5-qtscript.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Script.so.5.0.2 /lib64/libgcc_s.so.1
qt5-qtscript.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5ScriptTools.so.5.0.2 /lib64/libpthread.so.0
qt5-qtscript.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5ScriptTools.so.5.0.2 /lib64/libGL.so.1
qt5-qtscript.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5ScriptTools.so.5.0.2 /lib64/libm.so.6
qt5-qtscript.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5ScriptTools.so.5.0.2 /lib64/libgcc_s.so.1
qt5-qtscript.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/admiller/reviews/915902-qt5-qtscript/srpm/qt5-qtscript.spec   2013-08-27 10:15:45.912882373 -0500
+++ /home/admiller/reviews/915902-qt5-qtscript/srpm-unpacked/qt5-qtscript.spec  2013-08-27 10:15:46.280890051 -0500
@@ -10,5 +10,5 @@
 License: LGPLv2 with exceptions or GPLv3 with exceptions
 Url: http://qt-project.org/
-Source0: http://download.qt-project.org/archive/qt/5.0/%{version}/submodules/%{qt_module}-opensource-src-%{version}.tar.xz
+Source0: http://releases.qt-project.org/qt5/%{version}%{?pre:-%{pre}}/submodules/%{qt_module}-opensource-src-%{version}.tar.xz

 BuildRequires: qt5-qtbase-devel >= %{version}


Requires
--------
qt5-qtscript-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libQt5Script.so.5()(64bit)
    libQt5ScriptTools.so.5()(64bit)
    pkgconfig(Qt5Core)
    qt5-qtbase-devel(x86-64)
    qt5-qtscript(x86-64)

qt5-qtscript (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Script.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    qt5-qtbase(x86-64)
    rtld(GNU_HASH)



Provides
--------
qt5-qtscript-devel:
    pkgconfig(Qt5Script)
    pkgconfig(Qt5ScriptTools)
    qt5-qtscript-devel
    qt5-qtscript-devel(x86-64)

qt5-qtscript:
    libQt5Script.so.5()(64bit)
    libQt5ScriptTools.so.5()(64bit)
    qt5-qtscript
    qt5-qtscript(x86-64)



Source checksums
----------------
http://download.qt-project.org/archive/qt/5.0/5.0.2/submodules/qtscript-opensource-src-5.0.2.tar.xz :
  CHECKSUM(SHA256) this package     : def1b60e5ff5513cbda27200554fb568ef822e0ee790476facfe3bcf3438598f
  CHECKSUM(SHA256) upstream package : def1b60e5ff5513cbda27200554fb568ef822e0ee790476facfe3bcf3438598f

Comment 3 Rex Dieter 2013-08-28 17:44:09 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtscript.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtscript-5.0.2-2.fc19.src.rpm

%changelog
* Wed Aug 28 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-2
- update Source URL
- %%doc LGPL_EXCEPTION.txt LICENSE.GPL LICENSE.LGPL

Comment 4 Adam Miller 2013-08-28 18:34:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "Unknown or generated", "BSD (2 clause) MIT/X11
     (BSD like)", "MPL (v1.1,) GPL (unversioned/unknown version) LGPL (v2.1 or
     later)", "BSD (3 clause)", "BSD (2 clause)", "MPL (v1.1,) BSD (3 clause)
     GPL (unversioned/unknown version) LGPL (v2.1 or later)", "MPL (v1.1) GPL
     (unversioned/unknown version)", "GPL (v3 or later)". 280 files have
     unknown license. Detailed output of licensecheck in
     /home/admiller/reviews/915902-qt5-qtscript/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: qt5-qtscript-5.0.2-2.fc19.x86_64.rpm
          qt5-qtscript-devel-5.0.2-2.fc19.x86_64.rpm
qt5-qtscript-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint qt5-qtscript-devel qt5-qtscript
qt5-qtscript-devel.x86_64: W: no-documentation
qt5-qtscript.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Script.so.5.0.2 /lib64/libgcc_s.so.1
qt5-qtscript.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5ScriptTools.so.5.0.2 /lib64/libpthread.so.0
qt5-qtscript.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5ScriptTools.so.5.0.2 /lib64/libGL.so.1
qt5-qtscript.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5ScriptTools.so.5.0.2 /lib64/libm.so.6
qt5-qtscript.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5ScriptTools.so.5.0.2 /lib64/libgcc_s.so.1
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
qt5-qtscript-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libQt5Script.so.5()(64bit)
    libQt5ScriptTools.so.5()(64bit)
    pkgconfig(Qt5Core)
    qt5-qtbase-devel(x86-64)
    qt5-qtscript(x86-64)

qt5-qtscript (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Script.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    qt5-qtbase(x86-64)
    rtld(GNU_HASH)



Provides
--------
qt5-qtscript-devel:
    pkgconfig(Qt5Script)
    pkgconfig(Qt5ScriptTools)
    qt5-qtscript-devel
    qt5-qtscript-devel(x86-64)

qt5-qtscript:
    libQt5Script.so.5()(64bit)
    libQt5ScriptTools.so.5()(64bit)
    qt5-qtscript
    qt5-qtscript(x86-64)



Source checksums
----------------
http://download.qt-project.org/archive/qt/5.0/5.0.2/submodules/qtscript-opensource-src-5.0.2.tar.xz :
  CHECKSUM(SHA256) this package     : def1b60e5ff5513cbda27200554fb568ef822e0ee790476facfe3bcf3438598f
  CHECKSUM(SHA256) upstream package : def1b60e5ff5513cbda27200554fb568ef822e0ee790476facfe3bcf3438598f


I'm not overly concerned about the rpmlint warnings, they seem reasonable.

APPROVED.

Comment 5 Rex Dieter 2013-08-28 18:43:02 UTC
New Package SCM Request
=======================
Package Name: qt5-qtscripot
Short Description: Qt5 - QtScript component
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20
InitialCC:

Comment 6 Gwyn Ciesla 2013-08-28 19:16:57 UTC
WARNING: Requested package name qt5-qtscripot doesn't match bug summary
qt5-qtscript, please correct.

Comment 7 Rex Dieter 2013-08-28 19:19:43 UTC
New Package SCM Request
=======================
Package Name: qt5-qtscript
Short Description: Qt5 - QtScript component
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20
InitialCC:

Comment 8 Gwyn Ciesla 2013-08-28 19:21:32 UTC
Git done (by process-git-requests).

Comment 9 Rex Dieter 2013-09-03 13:33:15 UTC
imported, thanks.

Comment 10 Rex Dieter 2013-09-19 17:39:55 UTC
Package Change Request
======================
Package Name: qt5-qtscript
New Branches: el6
Owners: rdieter
InitialCC: 

Co-maintainers welcome!

Comment 11 Gwyn Ciesla 2013-09-19 17:57:52 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2013-09-19 20:11:06 UTC
qt5-qtscript-5.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtscript-5.1.1-1.el6

Comment 13 Fedora Update System 2013-10-08 17:45:26 UTC
qt5-qtscript-5.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.